RISTSENDER(1)

NAME
ristsender - send a stream via RIST

SYNOPSIS
ristsender [OPTIONS]

DESCRIPTION
Reliable Internet Stream Transport (RIST) is a transport protocol designed for reliable transmission of video over lossy networks (including the Internet) with low latency and high quality.

ristsender relays an incoming UDP or RTP stream by sending it as a RIST stream.

OPTIONS

-i | --inputurl udp://... or rtp://...
    Mandatory Option: Comma separated list of input udp or rtp URLs

-o | --outputurl rist://...
    Mandatory Option: Comma separated list of output rist URLs

-b | --buffer value
    Default buffer size for packet retransmissions

-s | --secret PWD
    Default pre-shared encryption secret

-e | --encryption-type TYPE
    Default Encryption type (0, 128 = AES-128, 256 = AES-256)|

-p | --profile number
    Rist profile (0 = simple, 1 = main, 2 = advanced)

-n | --null-packet-deletion
    Enable NPD, receiver needs to support this!

-S | --statsinterval value (ms)
    Interval at which stats get printed, 0 to disable

-v | --verbose-level value
    To disable logging: -1, log levels match syslog levels

-r | --remote-logging IP:PORT
    Send logs and stats to this IP:PORT using udp messages

-F | --srpfile filepath
    When in listening mode, use this file to hold the list of usernames and passwords to validate against. Use the ristsrppasswd tool to create the line entries.

-f | --fast-start value
    Controls data output flow before handshake is completed
     0 = hold data out
     1 = start to send data immediately

-h | --help
    Show this help

-u | --help-url
    Show all the possible url options

Default values:

--profile 1

--statsinterval 1000

--verbose-level 6

SEE ALSO
ristreceiver(1), ristsrppasswd(1), https://code.videolan.org/rist/librist/-/wikis/LibRIST%20Documentation

AUTHOR

This manual page was written by Florian Ernst <florian@debian.org>, for the Debian project (and may be used by others).